Subject: Re: [PATCH usb-next 2/2] net: qmi_wwan: add support for ZTE MF820D

From: Greg KH <[email-masked]>
Date: Fri, 16 Mar 2012 08:10:48 -0700

On Fri, Mar 16, 2012 at 03:41:27PM +0100, Bjørn Mork wrote:
> ZTE have yet to discover the magic of USB descriptors.  These
> devices use ff/ff/ff for class/subclass/protocol regardless of
> function, except for usb-storage.  Use an interface number
> whitelist to force the driver to bind only to the QMI/wwan
> interface.
> 
> Signed-off-by: Bjørn Mork <[email-masked]>
> ---
> Hello Greg and David,
> 
> is it possible to get this into the queue for 3.4 via usb-next as
> well? It was supposed to be a simple pid/vid addition, but the
> ZTE descriptor stupidity requires us to match on USB interface
> numbers.

This requires patch 1/2, right?  If so, I'll be glad to take this in my
tree if David doesn't mind.

thanks,

greg k-h